Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.io
Class DataSinkException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.lang.exception.NestableRuntimeException
                      org.apache.ddlutils.io.DataSinkException

All Implemented Interfaces:
  Serializable, Nestable

    public class DataSinkException

extends NestableRuntimeException

Exception generated by `DataSink` implementations.

Version:
  $Revision: 289996 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.lang.exception.NestableRuntimeException
`delegate`

Constructor Summary
`DataSinkException()` Creates a new exception object.
`DataSinkException(String message)` Creates a new exception object.
`DataSinkException(String message, Throwable baseEx)` Creates a new exception object.
`DataSinkException(Throwable baseEx)` Creates a new exception object.

Method Summary

Methods inherited from class org.apache.commons.lang.exception.NestableRuntimeException
`getCause, getMessage, getMessage, getMessages, getThrowable, getThrowableCount, getThrowables, indexOfThrowable, indexOfThrowable, printPartialStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataSinkException

    public DataSinkException()

  Creates a new exception object.

### DataSinkException

    public DataSinkException(String message)

  Creates a new exception object.

  Parameters:
    `message` - The exception message

### DataSinkException

    public DataSinkException(Throwable baseEx)

  Creates a new exception object.

  Parameters:
    `baseEx` - The base exception

### DataSinkException

    public DataSinkException(String message,
                             Throwable baseEx)

  Creates a new exception object.

  Parameters:
    `message` - The exception message
    `baseEx` - The base exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.